.main>.container {
    min-height: 600px;
    --tw-bg-opacity: 1;
    /*background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));*/
    padding-top: 2rem;
    padding-bottom: 2rem;
    position: relative;
    @media (width >= 40rem) {
        padding-top: 5rem;
        padding-bottom: 5rem;
    }
}

.article-detail .article-head {
    font-family: 黑体;
    border-bottom-width: 1px;
    --tw-border-opacity: 1;
    border-color: rgb(229 231 235 / var(--tw-border-opacity, 1));
    padding-bottom: .75rem
}

.article-detail .article-head .article-title {
    font-size: 1.125rem;
    text-align: center;
    line-height: 1.3;
    font-weight: 700;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 1.25rem;
    white-space: pre-wrap;

    @media (width >= 40rem) {
        padding-left: 0;
        padding-right: 0;
        font-size: 1.25rem;
    }
    @media (width >= 48rem) {
        font-size: 1.375rem;
    }
    @media (width >= 64rem) {
        font-size: 1.5rem;
    }
    @media (width >= 80rem) {
        font-size: 1.75rem;
    }
    @media (width >= 96rem) {
        font-size: 2rem;
    }
}

.article-detail .article-head .article-subtitle {
    padding-bottom: 1.5rem;
    text-align: center;
    font-size: 1.45rem;
    line-height: 1.2;
    font-weight: 400;
    --tw-text-opacity: 1;
    color: rgb(85 85 85 / var(--tw-text-opacity, 1))
}

.article-detail .article-head .article-attrs {
    font-family: 微软雅黑, 黑体;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    grid-column-gap: 1.5rem;
    grid-row-gap: .25rem;
    font-size: .9375rem;
    line-height: 1.5rem;
    font-weight: 400;
    --tw-text-opacity: 1;
    color: rgb(153 153 153 / var(--tw-text-opacity, 1))
}

.article-detail .article-content {
    text-indent: 2em;
    line-height: 1.6;
    font-family: 微软雅黑, 黑体;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    font-size: 1.125rem;
}

.article-detail .article-content p {
    line-height: 1.8 !important;
    margin-bottom: 1.25rem;
}

.article-detail .article-content img, .article-detail .article-content video, .article-detail .article-content table {
    margin: 1rem auto;
    display: block;
    max-width: 100%
}

.article-pagination {
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-top-width: 1px;
    --tw-border-opacity: 1;
    border-color: rgb(229 231 235 / var(--tw-border-opacity, 1));
    padding-top: 1.25rem
}

.article-pagination-prev, .article-pagination-next {
    display: flex;
    gap: 1rem;
    border-width: 1px;
    --tw-border-opacity: 1;
    border-color: rgb(229 231 235 / var(--tw-border-opacity, 1));
    padding: .5rem 2rem;
    --tw-text-opacity: 1;
    color: rgb(102 102 102 / var(--tw-text-opacity, 1))
}

.article-pagination-prev span, .article-pagination-next span {
    max-width: 300px;
    display: -webkit-box;
    line-clamp: 1;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden
}

.article-pagination-prev.disabled, .article-pagination-next.disabled {
    cursor: not-allowed;
    --tw-bg-opacity: 1;
    background-color: rgb(249 250 251 / var(--tw-bg-opacity, 1));
    --tw-text-opacity: 1;
    color: rgb(153 153 153 / var(--tw-text-opacity, 1))
}

.article-pagination-prev:not(.disabled):hover, .article-pagination-next:not(.disabled):hover {
    border-color: var(--primary-color);
    --tw-bg-opacity: 1;
    background-color: rgb(249 250 251 / var(--tw-bg-opacity, 1));
    color: var(--primary-color)
}

.article-pagination-prev:hover:before {
    transform: translate(-5px)
}

.article-pagination-next:hover:after {
    transform: translate(5px)
}

.article-pagination-prev:before {
    content: "";
    font-family: iconfont;
    transition: all .2s
}

.article-pagination-next:after {
    content: "";
    font-family: iconfont;
    transition: all .2s
}

.article-qrcode {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: .5rem
}

.article-qrcode .qrcode-box {
    border-width: 1px;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    padding: .5rem;
    border-color: #cccccc;
}

.article-qrcode #qrcode {
    height: 200px;
    width: 200px
}

.article-qrcode .text {
    font-size: .75rem;
    line-height: 1rem;
    --tw-text-opacity: 1;
    color: rgb(102 102 102 / var(--tw-text-opacity, 1))
}

@media (min-width: 640px) {
    .article-qrcode .text {
        font-size: .875rem;
        line-height: 1.25rem
    }
}

@media (min-width: 768px) {
    .article-qrcode .text {
        font-size: 1rem;
        line-height: 1.5rem
    }
}

@media (max-width: 768px) {
    .article-pagination {
        flex-direction: column;
        grid-row-gap: 1rem;
        padding: 1rem;
        align-items: normal;
    }

    .article-pagination span {
        max-width: 160px;
    }

    .article-detail .article-content {
        padding: 1rem 1rem 0;
    }
}

.el-alert {
    color: #e6a23c;
    background: rgb(253, 246, 236);
    padding: 14px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: .875rem;
    gap: 5px;
    position: fixed;
    top: var(--header-height);
    left: 0;
    right: 0;
    z-index: 999;
    box-shadow: 0 8px 8px 0 rgba(0, 0, 0, 0.1);
}

.el-alert svg {
    width: .875rem;
    height: .875rem;
}

.article-warning {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 10rem 2rem;
    gap: 1rem;
    color: #999;
}